/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is NSS-GUI code.
 *
 * The Initial Developer of the Original Code is
 * Red Hat, Inc.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Kai Engert <kengert@redhat.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var show_hello_alerts=0;

function getenv(name) {
    try {
        var environment = Components.classes["@mozilla.org/process/environment;1"].
            getService(Components.interfaces.nsIEnvironment);
        return environment.get(name);
    }
    catch(e) {
        displayError("getEnvironment", e);
    }
}


function onLoad()
{
  if (show_hello_alerts) {
    alert("hello from onLoad");
  }

  var dbdir = getenv("MOZPSM_NSSDBDIR_OVERRIDE");
  var dbdirlabel= document.getElementById("dbdir");
  
  // we want to filter out the sql: prefix, it's confusing for users
  
  var prefix_dontwant = "sql:";
  if (dbdir.indexOf(prefix_dontwant) == 0) {
    dbdir = dbdir.substr(prefix_dontwant.length);
  }
  
  dbdirlabel.setAttribute("value", dbdir);
}

function openChrome(chrome_url, window_name)
{
  Components.classes["@mozilla.org/embedcomp/window-watcher;1"]
  .getService(Components.interfaces.nsIWindowWatcher)
  .openWindow(null, 
              chrome_url,
              window_name,
              "chrome", 
              null);
}

function showCertificates()
{
  if (show_hello_alerts) {
    alert("hello from show cert");
  }
  openChrome("chrome://pippki/content/certManager.xul", 
             "mozilla:certmanager");
}

function showRevocationLists()
{
  if (show_hello_alerts) {
    alert("hello from show crl");
  }
  openChrome("chrome://pippki/content/crlManager.xul", 
             "mozilla:crlmanager");
}

function showSecurityDevices()
{
  if (show_hello_alerts) {
    alert("hello from show sec dev");
  }
  openChrome("chrome://pippki/content/device_manager.xul",
             "mozilla:devicemanager");
}

function showConsole()
{
  if (show_hello_alerts) {
    alert("hello from show console");
  }
  openChrome("chrome://global/content/console.xul",
             "global:console");
}

function showAboutConfig()
{
  if (show_hello_alerts) {
    alert("hello from show about config");
  }
  openChrome("chrome://global/content/config.xul",
             "global:aboutconfig");
}
